View Issue Details

IDProjectCategoryView StatusLast Update
0008464mantisbtbugtrackerpublic2016-08-28 01:18
ReporterpluntkeAssigned Tocproensa 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1.0rc1 
Target VersionFixed in Version1.3.1 
Summary0008464: $g_auto_set_status_to_assigned = ON does not always check for old status
Description

The bug_actiongroup has the following code
$f_assign = gpc_getint( 'assign' );
if ( ( NEW
== $t_bug_data->status )
&& (ON == config_get( 'auto_set_status_to_assigned' ) ) ){ #by pluntke
$t_assign_status = config_get( 'bug_assigned_status' );

The check of $t_bugdata->status to be NEW is missing in some other scripts, where status is set to bug_assignedstatus.
In my installation I have changed enum like : new
, assigned, in_process, ....

Problem is, when an issue is already in_process it gets "downgraded" to be only assigned when assigning to another developer.
In fact the code above should check if the issue state is below than bug_assigned_status and only then change status.

TagsNo tags attached.

Relationships

related to 0021203 closedcproensa option auto_set_status_to_assigned can change status even if not allowed by workflow 

Activities

pluntke

pluntke

2007-10-14 15:29

reporter   ~0015864

sorry, the code mentioned above is a modified code.
The original bugactiongroup also does NOT have the NEW == $T_bug_data->status)
line

cproensa

cproensa

2016-08-17 21:03

developer   ~0053842

0021203

Issue History

Date Modified Username Field Change
2007-10-14 14:51 pluntke New Issue
2007-10-14 15:29 pluntke Note Added: 0015864
2016-08-17 21:03 cproensa Relationship added related to 0021203
2016-08-17 21:03 cproensa Assigned To => cproensa
2016-08-17 21:03 cproensa Status new => resolved
2016-08-17 21:03 cproensa Resolution open => fixed
2016-08-17 21:03 cproensa Note Added: 0053842
2016-08-28 01:16 vboctor Fixed in Version => 1.3.1
2016-08-28 01:18 vboctor Status resolved => closed